Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Interface Hasher

    public interface Hasher

An application-specified, database hash function.

Method Summary
`int` | `hash(Database db, byte[] data, int len)` An application-specified, database-specific hash function.

Method Detail

### hash

    int hash(Database db,
             byte[] data,
             int len)

  An application-specified, database-specific hash function.

  The hash function must handle any key values used by the application (possibly including zero-length keys).

  Parameters:
    `db` - The enclosing database handle.
    `data` - The byte string to be hashed.
    `len` - The length of the byte string in bytes.

    @return The hash value of the byte string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2009 Oracle. All rights reserved.